ghc-7.6.3: The GHC API

Safe Haskell | None

BinIface

Description

Binary interface file support.

Synopsis

- writeBinIface :: DynFlags -> FilePath -> ModIface -> IO ()
- readBinIface :: CheckHiWay -> TraceBinIFaceReading -> FilePath -> TcRnIf a b ModIface
- getSymtabName :: NameCacheUpdater -> Dictionary -> SymbolTable -> BinHandle -> IO Name
- getDictFastString :: Dictionary -> BinHandle -> IO FastString
- data CheckHiWay
  - = CheckHiWay
  - | IgnoreHiWay
- data TraceBinIFaceReading
  - = TraceBinIFaceReading
  - | QuietBinIFaceReading

# Documentation

writeBinIface :: DynFlags -> FilePath -> ModIface -> IO ()

Write an interface file

readBinIface :: CheckHiWay -> TraceBinIFaceReading -> FilePath -> TcRnIf a b ModIface

Read an interface file

getSymtabName :: NameCacheUpdater -> Dictionary -> SymbolTable -> BinHandle -> IO Name

getDictFastString :: Dictionary -> BinHandle -> IO FastString

data CheckHiWay

Constructors

CheckHiWay |
IgnoreHiWay |

Instances

Eq CheckHiWay |

data TraceBinIFaceReading

Constructors

TraceBinIFaceReading |
QuietBinIFaceReading |

Instances

Eq TraceBinIFaceReading |